diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 92cbb88851018bdd4b44a8d77a003476ea9a5d84..41f0c248f8a1f16e6b322254bc9486606f2aabe9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -354,7 +354,7 @@ public final class CMSAdminServlet extends AdminServlet {
     }
 
     private boolean isSubsystemInstalled(String subsystem) {
-        Enumeration e = CMS.getSubsystems();
+        Enumeration<ISubsystem> e = CMS.getSubsystems();
 
         while (e.hasMoreElements()) {
             String type = "";
@@ -382,7 +382,7 @@ public final class CMSAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
 
-        Enumeration e = CMS.getSubsystems();
+        Enumeration<ISubsystem> e = CMS.getSubsystems();
         boolean isCAInstalled = false;
         boolean isRAInstalled = false;
         boolean isKRAInstalled = false;
@@ -536,13 +536,14 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             NameValuePairs params = new NameValuePairs();
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                     CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
 
             jssSubSystem.getInternalTokenName();
-            Enumeration e = CMS.getSubsystems();
+            Enumeration<ISubsystem> e = CMS.getSubsystems();
             boolean isCAInstalled = false;
             boolean isRAInstalled = false;
             boolean isKRAInstalled = false;
@@ -797,7 +798,7 @@ public final class CMSAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = CMS.getSubsystems();
+        Enumeration<ISubsystem> e = CMS.getSubsystems();
         StringBuffer buff = new StringBuffer();
 
         while (e.hasMoreElements()) {
@@ -863,7 +864,8 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         IConfigStore dbConfig = mConfig.getSubStore(PROP_INTERNAL_DB);
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
             String key = (String) enum1.nextElement();
@@ -890,7 +892,8 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> e = req.getParameterNames();
         String newKeyName = null, selectedToken = null;
         while (e.hasMoreElements()) {
             String name = (String) e.nextElement();
@@ -923,7 +926,8 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
             String name = (String) e.nextElement();
@@ -974,7 +978,8 @@ public final class CMSAdminServlet extends AdminServlet {
         IConfigStore dbConfig = mConfig.getSubStore(PROP_DB);
         IConfigStore ldapConfig = dbConfig.getSubStore("ldap");
         NameValuePairs params = new NameValuePairs();
-        Enumeration e = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
             String name = (String) e.nextElement();
@@ -1036,7 +1041,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void loggedInToken(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String tokenName = "";
         String pwd = "";
 
@@ -1064,7 +1070,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void checkTokenStatus(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String key = "";
         String value = "";
 
@@ -1110,7 +1117,8 @@ public final class CMSAdminServlet extends AdminServlet {
         // to the signed audit log and stored as failures
         try {
             NameValuePairs params = new NameValuePairs();
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
             String keyType = "";
             int keyLength = 512;
@@ -1486,7 +1494,8 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             String pkcs = "";
             String type = "";
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
@@ -1921,7 +1930,8 @@ public final class CMSAdminServlet extends AdminServlet {
             String serverRoot = "";
             String serverID = "";
             String certpath = "";
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
 
             while (enum1.hasMoreElements()) {
                 String key = (String) enum1.nextElement();
@@ -2086,8 +2096,8 @@ public final class CMSAdminServlet extends AdminServlet {
 
                 String eString = e.toString();
                 if (eString.contains("Failed to find certificate that was just imported")) {
-                    CMS.debug("CMSAdminServlet.installCert(): nickname=" + nicknameWithoutTokenName
-                            + " TokenException: " + eString);
+                    CMS.debug("CMSAdminServlet.installCert(): nickname="
+                            + nicknameWithoutTokenName + " TokenException: " + eString);
 
                     X509Certificate cert = null;
                     try {
@@ -2338,7 +2348,8 @@ public final class CMSAdminServlet extends AdminServlet {
             String serverRoot = "";
             String serverID = "";
             String certpath = "";
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             NameValuePairs results = new NameValuePairs();
 
             while (enum1.hasMoreElements()) {
@@ -2565,7 +2576,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void getCertInfo(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         NameValuePairs results = new NameValuePairs();
         String pkcs = "";
         String path = "";
@@ -2662,7 +2674,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void getCertPrettyPrint(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String nickname = "";
@@ -2705,7 +2718,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void getRootCertTrustBit(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String nickname = "";
@@ -2821,7 +2835,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void deleteCerts(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String nickname = "";
@@ -2853,8 +2868,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateSubjectName(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
             String key = (String) enum1.nextElement();
@@ -2874,7 +2889,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateKeyLength(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String keyType = "RSA";
         String keyLen = "512";
         String certType = "";
@@ -2904,7 +2920,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateCurveName(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String curveName = null;
 
         while (enum1.hasMoreElements()) {
@@ -2934,7 +2951,8 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateCertExtension(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
         String certExt = "";
 
         while (enum1.hasMoreElements()) {
@@ -2958,7 +2976,8 @@ public final class CMSAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
         String keyType = "RSA";
@@ -2989,7 +3008,8 @@ public final class CMSAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        Enumeration enum1 = req.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
         String keyType = "RSA";
@@ -3078,7 +3098,8 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                     CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
             String trust = "";
@@ -3178,8 +3199,8 @@ public final class CMSAdminServlet extends AdminServlet {
                 CMS.debug("CMSAdminServlet::runSelfTestsOnDemand():"
                         + "  ENTERING . . .");
             }
-
-            Enumeration enum1 = req.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> enum1 = req.getParameterNames();
             String request = "";
             NameValuePairs results = new NameValuePairs();
             String content = "";
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
index 57fadab47798c64268b1d7866f8c62c409e05935..cbc406997eb6661b7663f3dfaf5fd571d70545e1 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
@@ -1981,7 +1981,8 @@ public class ProfileAdminServlet extends AdminServlet {
                 nvp.add(name, ";" + ";" + rule.getConfig(name));
             } else {
                 nvp.add(name,
-                        desc.getSyntax() + ";" + ";" + getNonNull(desc.getConstraint()) + ";"
+                        desc.getSyntax()
+                                + ";" + ";" + getNonNull(desc.getConstraint()) + ";"
                                 + desc.getDescription(getLocale(req)) + ";" + rule.getConfig(name));
             }
         }
@@ -2031,8 +2032,9 @@ public class ProfileAdminServlet extends AdminServlet {
                 nvp.add(name, ";" + rule.getConfig(name));
             } else {
                 nvp.add(name,
-                        desc.getSyntax() + ";" + getNonNull(desc.getConstraint()) + ";"
-                                + desc.getDescription(getLocale(req)) + ";" + rule.getConfig(name));
+                        desc.getSyntax()
+                                + ";" + getNonNull(desc.getConstraint()) + ";" + desc.getDescription(getLocale(req))
+                                + ";" + rule.getConfig(name));
             }
         }
         sendResponse(SUCCESS, null, nvp, resp);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
index e8d80640e5629727e62f6875aff6b355598de71f..58cf327bb2e82c1cfd211e120f54cf2a68cd9afc 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
@@ -353,13 +353,15 @@ public class PublisherAdminServlet extends AdminServlet {
 
         String epi[] = new String[] {
                 "type;choice(cacert,crl,certs,xcert);The certType of the request",
-                "mapper;choice(" + map.toString()
+                "mapper;choice("
+                        + map.toString()
                         + ");Use the mapper to find the ldap dn to publish the certificate or crl",
-                "publisher;choice(" + publish.toString()
+                "publisher;choice("
+                        + publish.toString()
                         + ");Use the publisher to publish the certificate or crl a directory etc",
                 "enable;boolean;",
                 "predicate;string;"
-            };
+        };
 
         return new ExtendedPluginInfo(epi);
     }
@@ -714,9 +716,10 @@ public class PublisherAdminServlet extends AdminServlet {
             if (authType.equals(ILdapAuthInfo.LDAP_SSLCLIENTAUTH_STR)) {
                 try {
                     //certNickName = authInfo.getParms()[0];
-                    certNickName = ldap.getSubStore(
-                                ILdapBoundConnFactory.PROP_LDAPAUTHINFO).getString(
-                            ILdapAuthInfo.PROP_CLIENTCERTNICKNAME);
+                    certNickName =
+                            ldap.getSubStore(
+                                    ILdapBoundConnFactory.PROP_LDAPAUTHINFO).getString(
+                                    ILdapAuthInfo.PROP_CLIENTCERTNICKNAME);
                     conn = new LDAPConnection(CMS.getLdapJssSSLSocketFactory(
                                     certNickName));
                     CMS.debug("Publishing Test certNickName=" + certNickName);
@@ -725,7 +728,8 @@ public class PublisherAdminServlet extends AdminServlet {
                                     certNickName + dashes(70 - 44 - certNickName.length()) + " Success");
                 } catch (Exception ex) {
                     params.add(Constants.PR_CONN_INIT_FAIL,
-                            "Create ssl LDAPConnection with certificate: " +
+                            "Create ssl LDAPConnection with certificate: "
+                                    +
                                     certNickName + dashes(70 - 44 - certNickName.length()) + " failure\n"
                                     + " exception: " + ex);
                     params.add(Constants.PR_SAVE_NOT,
@@ -737,7 +741,8 @@ public class PublisherAdminServlet extends AdminServlet {
                 try {
                     conn.connect(host, port);
                     params.add(Constants.PR_CONN_OK,
-                            "Connect to directory server " +
+                            "Connect to directory server "
+                                    +
                                     host + " at port " + port +
                                     dashes(70 - 37 - host.length() - (Integer.valueOf(port)).toString().length())
                                     + " Success");
@@ -799,7 +804,8 @@ public class PublisherAdminServlet extends AdminServlet {
                 try {
                     conn.connect(host, port);
                     params.add(Constants.PR_CONN_OK,
-                            "Connect to directory server " +
+                            "Connect to directory server "
+                                    +
                                     host + " at port " + port +
                                     dashes(70 - 37 - host.length() - (Integer.valueOf(port)).toString().length())
                                     + " Success");
@@ -808,14 +814,16 @@ public class PublisherAdminServlet extends AdminServlet {
                         // need to intercept this because message from LDAP is
                         // "DSA is unavailable" which confuses with DSA PKI.
                         params.add(Constants.PR_CONN_FAIL,
-                                "Connect to directory server " +
+                                "Connect to directory server "
+                                        +
                                         host + " at port " + port +
                                         dashes(70 - 37 - host.length() - (Integer.valueOf(port)).toString().length())
                                         + " Failure" +
                                         "\nerror: server unavailable");
                     } else {
                         params.add(Constants.PR_CONN_FAIL,
-                                "Connect to directory server " +
+                                "Connect to directory server "
+                                        +
                                         host + " at port " + port +
                                         dashes(70 - 37 - host.length() - (Integer.valueOf(port)).toString().length())
                                         + " Failure" +
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
index 41c07d8105d336f72bc3c7d1c9e67107d6483410..0175d9aa46ec21d0465bb8a0a469bb758969c9ba 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
@@ -290,7 +290,8 @@ public class RegistryAdminServlet extends AdminServlet {
                         CMS.debug("RegistryAdminServlet: getSUpportedConstraint isApplicable "
                                 + constraintInfo.getClassName());
                         nvp.add(constraintID,
-                                constraintInfo.getClassName() + "," +
+                                constraintInfo.getClassName()
+                                        + "," +
                                         constraintInfo.getDescription(getLocale(req)) + ","
                                         + constraintInfo.getName(getLocale(req)));
                     }
@@ -344,8 +345,11 @@ public class RegistryAdminServlet extends AdminServlet {
 
                     if (desc != null) {
                         try {
-                            String value = getNonNull(desc.getSyntax()) + ";" + getNonNull(desc.getConstraint()) + ";"
-                                    + desc.getDescription(getLocale(req)) + ";" + getNonNull(desc.getDefaultValue());
+                            String value =
+                                    getNonNull(desc.getSyntax())
+                                            + ";" + getNonNull(desc.getConstraint()) + ";"
+                                            + desc.getDescription(getLocale(req)) + ";"
+                                            + getNonNull(desc.getDefaultValue());
 
                             CMS.debug("RegistryAdminServlet: getProfileImpl " + value);
                             nvp.add(name, value);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index 2920d0f463b991b3400ee02080982f5e3bccfc14..e292e501a460a14ea60104579a4c811f3388c3fe 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -493,8 +493,8 @@ public abstract class CMSServlet extends HttpServlet {
             Date endDate = CMS.getCurrentDate();
             long endTime = endDate.getTime();
             if (CMS.debugOn()) {
-                CMS.debug(CMS.DEBUG_INFORM, "CMSServlet: curDate=" + endDate + " id=" + mId + " time="
-                        + (endTime - startTime));
+                CMS.debug(CMS.DEBUG_INFORM, "CMSServlet: curDate="
+                        + endDate + " id=" + mId + " time=" + (endTime - startTime));
             }
             iCommandQueue.unRegisterProccess((Object) cmsRequest, (Object) this);
         } catch (EBaseException e) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index 0d7da7fa874c771019ab5af1fa45d3fb9292b889..461fa0b945cf0a0c8124fcb4a48ff19ba495d915 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -236,8 +236,9 @@ public class CMCRevReqServlet extends CMSServlet {
                 certs = new X509CertImpl[serialNoArray.length];
 
                 for (int i = 0; i < serialNoArray.length; i++) {
-                    certs[i] = ((ICertificateAuthority) mAuthority).getCertificateRepository().getX509Certificate(
-                            serialNoArray[i]);
+                    certs[i] =
+                            ((ICertificateAuthority) mAuthority).getCertificateRepository().getX509Certificate(
+                                    serialNoArray[i]);
                 }
 
             } else if (mAuthority instanceof IRegistrationAuthority) {
@@ -379,8 +380,8 @@ public class CMCRevReqServlet extends CMSServlet {
 
         try {
             int count = 0;
-            Vector oldCertsV = new Vector();
-            Vector revCertImplsV = new Vector();
+            Vector<X509CertImpl> oldCertsV = new Vector<X509CertImpl>();
+            Vector<RevokedCertImpl> revCertImplsV = new Vector<RevokedCertImpl>();
 
             // Construct a CRL reason code extension.
             RevocationReason revReason = RevocationReason.fromInt(reason);
@@ -406,7 +407,7 @@ public class CMCRevReqServlet extends CMSServlet {
             if (mAuthority instanceof ICertificateAuthority) {
                 ICertRecordList list = (ICertRecordList) mCertDB.findCertRecordsInList(
                         revokeAll, null, totalRecordCount);
-                Enumeration e = list.getCertRecords(0, totalRecordCount - 1);
+                Enumeration<ICertRecord> e = list.getCertRecords(0, totalRecordCount - 1);
 
                 while (e != null && e.hasMoreElements()) {
                     ICertRecord rec = (ICertRecord) e.nextElement();
@@ -439,11 +440,11 @@ public class CMCRevReqServlet extends CMSServlet {
 
                 if (mRequestID != null && mRequestID.length() > 0)
                     reqIdStr = mRequestID;
-                Vector serialNumbers = new Vector();
+                Vector<String> serialNumbers = new Vector<String>();
 
                 if (revokeAll != null && revokeAll.length() > 0) {
-                    for (int i = revokeAll.indexOf('='); i < revokeAll.length() && i > -1; i = revokeAll
-                            .indexOf('=', i)) {
+                    for (int i = revokeAll.indexOf('='); i < revokeAll.length() && i > -1; i =
+                            revokeAll.indexOf('=', i)) {
                         if (i > -1) {
                             i++;
                             while (i < revokeAll.length() && revokeAll.charAt(i) == ' ') {
@@ -654,7 +655,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 }
                 if (mAuthority instanceof ICertificateAuthority) {
                     // let known update and publish status of all crls.
-                    Enumeration otherCRLs =
+                    Enumeration<ICRLIssuingPoint> otherCRLs =
                             ((ICertificateAuthority) mAuthority).getCRLIssuingPoints();
 
                     while (otherCRLs.hasMoreElements()) {
@@ -761,7 +762,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 }
 
             } else {
-                Vector errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
                 StringBuffer errorStr = new StringBuffer();
 
                 if (errors != null && errors.size() > 0) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
index 14f28bce9aa9f1ef5a0eeca87e6be5a387ff3118..8ca35484b6ae32b67b17f51f12ae7c684e1698c8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
@@ -213,8 +213,9 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 certs = new X509CertImpl[serialNoArray.length];
 
                 for (int i = 0; i < serialNoArray.length; i++) {
-                    certs[i] = ((ICertificateAuthority) mAuthority).getCertificateRepository().getX509Certificate(
-                            serialNoArray[i]);
+                    certs[i] =
+                            ((ICertificateAuthority) mAuthority).getCertificateRepository().getX509Certificate(
+                                    serialNoArray[i]);
                 }
 
             } else if (mAuthority instanceof IRegistrationAuthority) {
@@ -308,8 +309,8 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
             throws EBaseException {
         try {
             int count = 0;
-            Vector oldCertsV = new Vector();
-            Vector revCertImplsV = new Vector();
+            Vector<X509CertImpl> oldCertsV = new Vector<X509CertImpl>();
+            Vector<RevokedCertImpl> revCertImplsV = new Vector<RevokedCertImpl>();
 
             // Construct a CRL reason code extension.
             RevocationReason revReason = RevocationReason.fromInt(reason);
@@ -335,7 +336,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
             if (mAuthority instanceof ICertificateAuthority) {
                 ICertRecordList list = (ICertRecordList) mCertDB.findCertRecordsInList(
                         revokeAll, null, totalRecordCount);
-                Enumeration e = list.getCertRecords(0, totalRecordCount - 1);
+                Enumeration<ICertRecord> e = list.getCertRecords(0, totalRecordCount - 1);
 
                 while (e != null && e.hasMoreElements()) {
                     ICertRecord rec = (ICertRecord) e.nextElement();
@@ -368,7 +369,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
 
                 if (mRequestID != null && mRequestID.length() > 0)
                     reqIdStr = mRequestID;
-                Vector serialNumbers = new Vector();
+                Vector<String> serialNumbers = new Vector<String>();
 
                 if (revokeAll != null && revokeAll.length() > 0) {
                     for (int i = revokeAll.indexOf('='); i < revokeAll.length() && i > -1; 
@@ -563,7 +564,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 }
                 if (mAuthority instanceof ICertificateAuthority) {
                     // let known update and publish status of all crls.
-                    Enumeration otherCRLs =
+                    Enumeration<ICRLIssuingPoint> otherCRLs =
                             ((ICertificateAuthority) mAuthority).getCRLIssuingPoints();
 
                     while (otherCRLs.hasMoreElements()) {
@@ -672,7 +673,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 }
 
             } else {
-                Vector errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> errors = revReq.getExtDataInStringVector(IRequest.ERRORS);
                 StringBuffer errorStr = new StringBuffer();
 
                 if (errors != null && errors.size() > 0) {
